Aiready API Reference

Aiready

For authentication instructions, see API overview.

post

Create ai chat

Create ai chat. You need to pass through any required fields, and you can optionally pass through other fields.

Request body

  • messagesarray
  • max_tokensnumber

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X POST -H 'Content-Type: application/json' \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/aiReady/chat/completions \
-d 'messages="array"' \
-d 'max_tokens=100'

Response

No response schema
post

Create ai add

Create ai add. You need to pass through any required fields, and you can optionally pass through other fields.

Request body

  • Unitsarray

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X POST -H 'Content-Type: application/json' \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/aiReady/addUnit \
-d 'Units="array"'

Response

No response schema
post

Create ai search

Create ai search. You need to pass through any required fields, and you can optionally pass through other fields.

Request body

  • limitnumber
  • inputstring

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X POST -H 'Content-Type: application/json' \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/aiReady/searchUnit \
-d 'limit="number"' \
-d 'input="string"'

Response

No response schema
post

Create ai add

Create ai add. You need to pass through any required fields, and you can optionally pass through other fields.

Request body

  • tenantNamestring
  • classNamestring

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X POST -H 'Content-Type: application/json' \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/aiReady/addTenant \
-d 'tenantName="string"' \
-d 'className="string"'

Response

No response schema
post

Create ai create

Create ai create. You need to pass through any required fields, and you can optionally pass through other fields.

Request body

  • classNamestring
  • propertiesarray

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X POST -H 'Content-Type: application/json' \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/aiReady/createSchema \
-d 'className="string"' \
-d 'properties="array"'

Response

No response schema